#pragma once
#include "hardware/pio.h"

void stepper_init();
void start_pulse(PIO pio, uint sm, uint offset, uint pin, uint freq);

void update_sm(PIO pio, uint sm, const uint pin, double v);
void set_speeds(double vl, double vr);